package org.rcisoft.business.cmsActivity.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Created with cy on 2024年3月25日 下午1:42:40.
 *
 * @author wangFeilong
 */
@Data
@TableName("cms_activity")
public class CmsActivity extends CyIdIncreEntity<CmsActivity> {


    /**
     * @desc 发布日期
     * @column release_date
     * @default
     */
    @Excel(name = "发布日期", orderNum = "1", width = 20, format = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date releaseDate;

    /**
     * @desc 板块
     * @column plate
     * @default
     */
    @Excel(name = "板块", orderNum = "2", width = 20)
    private String plate;

    /**
     * @desc 标题
     * @column title
     * @default
     */
    @Excel(name = "标题", orderNum = "9", width = 20)
    private String title;

    /**
     * @desc 单位
     * @column unit
     * @default
     */
    @Excel(name = "单位", orderNum = "10", width = 20)
    private String unit;

    /**
     * @desc 内容
     * @column details
     * @default
     */
    @Excel(name = "内容", orderNum = "11", width = 20)
    private String details;

    /**
     * @desc 排序
     * @column weight
     * @default
     */
    @Excel(name = "排序", orderNum = "12", width = 20)
    private Integer weight;

    /**
     * @desc 封面
     * @column picture_id
     * @default
     */
    @Excel(name = "封面", orderNum = "13", width = 20)
    private String pictureId;

    /**
     * 开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginTime;

    /**
     * 结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String endTime;

    @TableField(exist = false)
    private String nickName;
    @TableField(exist = false)
    private String path;
    //是否为头条新闻
    private Integer isForntPage;
    //是否为推荐新闻
    private Integer isRecommended;
    //是否为置顶新闻
    private Integer isTop;


}


