package org.rcisoft.business.cmsActivity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.cmsActivity.entity.CmsActivity;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年3月25日 下午1:42:40.
 */
public interface CmsActivityService {

    /**
    * 保存 新闻资讯
    * @param cmsActivity
    * @return
    */
    CyPersistModel persist(CmsActivity cmsActivity);

    /**
    * 删除 新闻资讯
    * @param cmsActivity
    * @return
    */
    CyPersistModel remove(CmsActivity cmsActivity);

    /**
    * 修改 新闻资讯
    * @param cmsActivity
    * @return
    */
    CyPersistModel merge(CmsActivity cmsActivity);

    /**
    * 根据id查询 新闻资讯
    * @param id
    * @return
    */
    CmsActivity findById(Integer id);

    /**
    * 分页查询 新闻资讯
    * @param cmsActivity
    * @return
    */
    IPage<CmsActivity> findAllByPagination(CyPageInfo<CmsActivity> paginationUtility,
                                           CmsActivity cmsActivity);


    /**
    * 查询list 新闻资讯
    * @param cmsActivity
    * @return
    */
    List<CmsActivity> findAll(CmsActivity cmsActivity);


    /**
    * 导出新闻资讯
    * @return
    */
    List<CmsActivity> export(CmsActivity cmsActivity);
    /**
     * 修改状态
     */

    CyPersistModel updateStatus(CmsActivity cmsActivity);
}
