package org.rcisoft.business.cmsNotice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.cmsNotice.entity.CmsNotice;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年3月25日 下午1:42:40.
 */
public interface CmsNoticeService {

    /**
    * 保存 新闻资讯
    * @param cmsNotice
    * @return
    */
    CyPersistModel persist(CmsNotice cmsNotice);

    /**
    * 删除 新闻资讯
    * @param cmsNotice
    * @return
    */
    CyPersistModel remove(CmsNotice cmsNotice);

    /**
    * 修改 新闻资讯
    * @param cmsNotice
    * @return
    */
    CyPersistModel merge(CmsNotice cmsNotice);

    /**
    * 根据id查询 新闻资讯
    * @param id
    * @return
    */
    CmsNotice findById(Integer id);

    /**
    * 分页查询 新闻资讯
    * @param cmsNotice
    * @return
    */
    IPage<CmsNotice> findAllByPagination(CyPageInfo<CmsNotice> paginationUtility,
                                         CmsNotice cmsNotice);


    /**
    * 查询list 新闻资讯
    * @param cmsNotice
    * @return
    */
    List<CmsNotice> findAll(CmsNotice cmsNotice);


    /**
    * 导出新闻资讯
    * @return
    */
    List<CmsNotice> export(CmsNotice cmsNotice);
    /**
     * 修改状态
     */

    CyPersistModel updateStatus(CmsNotice cmsNotice);
}
